<div class="centered">
  <div *ngIf="isFetching; else noFetching">
    <mat-spinner></mat-spinner>
  </div>
  <ng-template #noFetching>
    <form [formGroup]="loginForm" (ngSubmit)="onSubmit()">
      <div class="column">
        <mat-form-field appearance="fill">
          <mat-label>Username</mat-label>
          <input matInput
                 type="text"
                 formControlName="username">
          <mat-error *ngIf="loginForm.get('username')?.invalid">Username required</mat-error>
        </mat-form-field>
        <mat-form-field appearance="fill">
          <mat-label>Password</mat-label>
          <input matInput
                 [type]="isHiddenPassword ? 'password' : 'text'"
                 formControlName="password">
          <button mat-icon-button type="button" matSuffix (click)="isHiddenPassword = !isHiddenPassword" [attr.aria-label]="'Hide password'" [attr.aria-pressed]="isHiddenPassword">
            <mat-icon>{{isHiddenPassword ? 'visibility_off' : 'visibility'}}</mat-icon>
          </button>
          <mat-error *ngIf="loginForm.get('password')?.invalid">Password required</mat-error>
        </mat-form-field>
        <button mat-raised-button
                type="submit"
                color="primary"
                [disabled]="!loginForm.valid">
          LOGIN
        </button>
      </div>
    </form>
  </ng-template>
</div>
